import 'package:lighthouse/src/exceptions/tr_exception.dart';

import '../enums.dart';

ValueType validateFelidType({
  required String key,
  required String language,
  required Object? value,
}) {
  if (value is String) {
    return ValueType.string;
  } else if (value is Map<String, dynamic>) {
    return ValueType.nested;
  }

  throw BadKeyType(
    key: key,
    language: language,
    type: value.runtimeType,
  );
}
